You’re running Rhino in Safe Mode, so that is expected.
@Bathsheba - if you don’t run Rhino in safe mode, does it still crash when you close?
– Dale
Yes
I was only now trying safe mode in case it was any use, I don’t think I had ever used it before yesterday.
So … I got this voodoo doll the other day
FYI the Maxwell plugin is not compatible with Rhino 8. Next Limit are working on it but afaik there is no ETA. I recommend you uninstall it from 8 until they announce the release of the new version.
(I don’t expect that to cure your crashes, it’s just good housekeeping.)
Regards
Jeremy
That’s fair, and I’m OK to punt it. On 2 out of 3 machines where I see the exit crashes, it was never installed anyway.
Hi @Bathsheba,
Can you navigate to this folder:
C:\Program Files\Rhino 8\Plug-ins
And drag the 3dxrhino.rhp
to some other folder? You’ll need to do this when Rhino 8 is not running.
We’re still seeing 3dxRhino
in the dump files you’ve posted - I just want to make sure it’s eliminated as a possible cause of your grief.
Thanks,
– Dale
I removed 3dxrhino.rhp from the Plug-ins folder and it still crashes on exit
Same here. RH8 crashes on _Quit
Let’s start with systeminfo in rhino and see the results.
Another area to look is where the files being opened are located. What drive and drive type is the 3dm being loaded.
Rhino 8 SR13 2024-11-12 (Rhino 8, 8.13.24317.13001, Git hash:master @ ca3666c3ebed2b9567e10930077bfa0884f65db9)
License type: Commercial, build 2024-11-12
License details: Cloud Zoo
Windows 11 (10.0.22631 SR0.0) or greater (Physical RAM: 96GB)
.NET 7.0.0
Computer platform: DESKTOP
Standard graphics configuration.
Primary display and OpenGL: NVIDIA GeForce RTX 4090 (NVidia) Memory: 24GB, Driver date: 9-26-2024 (M-D-Y). OpenGL Ver: 4.6.0 NVIDIA 565.90
> Accelerated graphics device with 4 adapter port(s)
- Secondary monitor attached to adapter port #0
- Windows Main Display attached to adapter port #1
OpenGL Settings
Safe mode: Off
Use accelerated hardware modes: On
GPU Tessellation is: On
Redraw scene when viewports are exposed: On
Graphics level being used: OpenGL 4.6 (primary GPU’s maximum)
Anti-alias mode: 8x
Mip Map Filtering: Linear
Anisotropic Filtering Mode: High
Vendor Name: NVIDIA Corporation
Render version: 4.6
Shading Language: 4.60 NVIDIA
Driver Date: 9-26-2024
Driver Version: 32.0.15.6590
Maximum Texture size: 32768 x 32768
Z-Buffer depth: 24 bits
Maximum Viewport size: 32768 x 32768
Total Video Memory: 24564 MB
Rhino plugins that do not ship with Rhino
C:\Program Files\Chaos Group\V-Ray\V-Ray for Rhinoceros\V8\VRayForRhino.rhp “V-Ray for Rhino”
Rhino plugins that ship with Rhino
C:\Program Files\Rhino 8\Plug-ins\Commands.rhp “Commands” 8.13.24317.13001
C:\Program Files\Rhino 8\Plug-ins\rdk.rhp “Renderer Development Kit”
C:\Program Files\Rhino 8\Plug-ins\RhinoScript.rhp “RhinoScript”
C:\Program Files\Rhino 8\Plug-ins\RhinoRenderCycles.rhp “Rhino Render” 8.13.24317.13001
C:\Program Files\Rhino 8\Plug-ins\RhinoRender.rhp “Legacy Rhino Render”
C:\Program Files\Rhino 8\Plug-ins\rdk_etoui.rhp “RDK_EtoUI” 8.13.24317.13001
C:\Program Files\Rhino 8\Plug-ins\NamedSnapshots.rhp “Snapshots”
C:\Program Files\Rhino 8\Plug-ins\MeshCommands.rhp “MeshCommands” 8.13.24317.13001
C:\Program Files\Rhino 8\Plug-ins\RhinoCycles.rhp “RhinoCycles” 8.13.24317.13001
C:\Program Files\Rhino 8\Plug-ins\Grasshopper\GrasshopperPlugin.rhp “Grasshopper” 8.13.24317.13001
C:\Program Files\Rhino 8\Plug-ins\Toolbars\Toolbars.rhp “Toolbars” 8.13.24317.13001
C:\Program Files\Rhino 8\Plug-ins\3dxrhino.rhp “3Dconnexion 3D Mouse”
C:\Program Files\Rhino 8\Plug-ins\Displacement.rhp “Displacement”
C:\Program Files\Rhino 8\Plug-ins\SectionTools.rhp “SectionTools”
Files are located on SSD/HDD tried multiple locations / drives.
lets disable 3rd party plugins for troubleshooting.
Does this happen in a blank file or in a particular file? If there are privacy concerns or its a large file you can upload to McNeel here.
I think I found the cause. I ran a series of commands via an alias. Inside this alias before _Quit I ran a script via another alias. It looks lke this caused the issue.
*Although the command ran through, so even the step after the script (_Save) where succesfull it shows me the crash window after _Quit not after the script.
Can you send us this script? It would be good to try and repeat the crash so we can get rid of it.
Sure: I am just creating a new thumbnail for the file so it looks like this:
“_SetView _World _Perspective _SelAll _Zoom _Selected _NoEcho _-Runscript (ZoomSame) _Save _Quit”
With “ZoomSame” being:
Option Explicit
'Script written by Pascal
'Script version Friday, April 17, 2009
Rhino.AddStartupScript Rhino.LastLoadedScriptFile
Rhino.AddAlias “ZoomSame”, “_NoEcho _-Runscript (ZoomSame)”
'Call ZoomSame()
Sub ZoomSame()
If Rhino.IsLayout(Rhino.CurrentView) Then
Rhino.Print "This tool does not work in layouts."
Exit Sub
End If
Dim aSel: aSel = Rhino.SelectedObjects
Dim aViews: aViews = Rhino.ViewNames(False)
Dim CrntView: CrntView = Rhino.CurrentView(,False)
Dim aTarg: aTarg = Rhino.ViewTarget()
Dim sView
Rhino.EnableRedraw(False)
Rhino.UnselectAllObjects
Dim VSphere
If Rhino.ViewProjection = 2 Then
vSphere = SphereToView(CrntView)
Rhino.SelectObject vSphere
For Each sView In aViews
If sView <> CrntView Then Rhino.ZoomSelected sView
Next
Rhino.DeleteObject VSphere
Else
Dim Rad:Rad = Rhino.ViewRadius
For Each sView In aViews
If sView <> CrntView Then
Rhino.ViewRadius sView, Rad
Rhino.ViewTarget sView, aTarg
End If
Next
End If
If isArray(aSel) Then Rhino.SelectObjects aSel
Rhino.EnableRedraw(True)
End Sub
Function SphereToView(sView)
’ creates a sphere roughly filling the current viewport.
Dim aCorners: aCorners = Rhino.ViewNearCorners
Dim Line1: Line1 = array(Rhino.ViewCamera(),aCorners(0))
Dim Cam: Cam = Rhino.ViewCamera
Dim W: W = Rhino.Distance(aCorners(0), aCorners(1))
Dim H: H = Rhino.Distance(aCorners(0), aCorners(3))
Dim Line2
If H < W Then
Line2 = array(Cam,aCorners(3))
Else
Line2 = array(Cam,aCorners(1))
End If
Dim Plane: Plane = Rhino.ViewCameraPlane
Plane(0) = Rhino.ViewTarget
Dim Pt1, Pt2
Pt1 = Rhino.LinePlaneIntersection(Line1,Plane)
Pt2 = Rhino.LinePlaneIntersection(Line2,Plane)
Dim Rad: Rad = Rhino.Distance(Pt1,Pt2)/2
SphereToView = Rhino.AddSphere(Plane(0),rad)
End Function
ZoomSame.rvb (1.9 KB)